

function LootLink:QuickChatlink_InitializeXML()




local chatFrameEB = ChatFrameEditBox;
local suggestionsButton = CreateFrame("Button", "LootLink_QuickChatlink_SuggestionsButton", chatFrameEB, nil);

suggestionsButton.LOOTLINK = self;
self.QUICKCHATLINK_SUGGESTIONS_BUTTON = suggestionsButton;

suggestionsButton:Hide();
suggestionsButton:SetWidth(32);
suggestionsButton:SetHeight(32);
suggestionsButton:SetPoint("LEFT", chatFrameEB, "RIGHT", 5, 0);



local backdropTable = self:Main_GetReusableTable(1);
backdropTable.bgFile = ("Interface\\Tooltips\\UI-Tooltip-Background");
backdropTable.edgeFile = ("Interface\\Tooltips\\UI-Tooltip-Border");
backdropTable.tile = true;
backdropTable.tileSize = 16;
backdropTable.edgeSize = 16;

local insetsTable = self:Main_GetReusableTable(2);
insetsTable.left = 5;
insetsTable.right = 5;
insetsTable.top = 5;
insetsTable.bottom = 5;
backdropTable.insets = insetsTable;

suggestionsButton:SetBackdrop(backdropTable);
suggestionsButton:SetBackdropColor(0.0, 0.4, 0.4, 1.0);
suggestionsButton:SetBackdropBorderColor(0.0, 0.6, 0.6, 1.0);



local suggestionsText = suggestionsButton:CreateFontString(nil, "OVERLAY", "ChatFontNormal");

suggestionsText:SetPoint("CENTER", suggestionsButton, "CENTER", 0, 0);

suggestionsText:SetText("LL");
suggestionsText:SetJustifyH("CENTER");
suggestionsText:SetTextColor(0.0, 0.8, 0.8, 1.0);



self.QUICKCHATLINK_SUGGESTIONS_DD = CreateFrame("Frame", "LootLink_QuickChatlink_SuggestionsDD", suggestionsButton, "UIDropDownMenuTemplate");



suggestionsButton:SetScript("OnEnter", (function(self) self:SetBackdropColor(0.8, 0.8, 0.0, 1.0); end)); -- Set it to yellow.
suggestionsButton:SetScript("OnLeave", (function(self) self:SetBackdropColor(0.0, 0.4, 0.4, 1.0); end)); -- Set it to teal.

suggestionsButton:SetScript("OnClick", (function(self) ToggleDropDownMenu(1, nil, self.LOOTLINK.QUICKCHATLINK_SUGGESTIONS_DD); end));

suggestionsButton:SetScript("OnHide",
  function(self)
	self:Hide();
	CloseDropDownMenus();
	self.LOOTLINK.QuickChatlinkSuggestedID = nil;
  end
);




end

