

function LootLink:ToggleButton_Initialize()




local toggleButton = CreateFrame("Button", "LootLink_ToggleButton_Button", UIParent, nil);

toggleButton.LOOTLINK = self;
self.TOGGLEBUTTON_BUTTON = toggleButton;

toggleButton:Hide();
toggleButton:SetMovable(true);
toggleButton:EnableMouse(true);
toggleButton:SetToplevel(true);

toggleButton:SetWidth(33);
toggleButton:SetHeight(33);
toggleButton:SetPoint("CENTER", "UIParent", "BOTTOMLEFT", (self.Config.ToggleButtonX or 512), (self.Config.ToggleButtonY or 384));



local borderTexture = toggleButton:CreateTexture(nil, "ARTWORK");

borderTexture:SetTexture("Interface\\Minimap\\MiniMap-TrackingBorder");

borderTexture:SetWidth(52);
borderTexture:SetHeight(52);
borderTexture:SetPoint("TOPLEFT");



local backgroundTexture = toggleButton:CreateTexture(nil, "BACKGROUND");

backgroundTexture:SetTexture(0.0, 0.0, 0.0, 1.0);

backgroundTexture:SetWidth(20);
backgroundTexture:SetHeight(20);
backgroundTexture:SetPoint("CENTER", toggleButton, "CENTER", 0, 1);



local buttonText = toggleButton:CreateFontString("LootLink_ToggleButton_ButtonText", nil, "GameFontNormal");

buttonText:SetParent(toggleButton);
buttonText:SetJustifyH("CENTER");

buttonText:SetPoint("CENTER", toggleButton, "CENTER", -1, 3);

buttonText:SetText("LL");
buttonText:SetTextColor(0.0, 0.8, 0.8, 1.0);

toggleButton:SetFontString(buttonText);



toggleButton:SetScript("OnMouseDown",
  function(self)
	if (IsModifierKeyDown()) then
		self:StartMoving();
		self.IsMoving = true;
	end
  end
);


toggleButton:SetScript("OnMouseUp",
  function(self)
	if (self.IsMoving) then
		self:StopMovingOrSizing();
		self.IsMoving = nil;
	else
		self.LOOTLINK:Results_Toggle();
	end
  end
);



toggleButton:SetScript("OnEnter", (function(self) self.LOOTLINK:Results_ShowRecentlyAddedItemsTooltip(self, nil); end));


toggleButton:SetScript("OnLeave", (function(self) self.LOOTLINK.RESULTS_TOOLTIP:Hide(); end));




end

